## Interface Cond

- All Known Implementing Classes:
    `And`, `Bool`, `Not`, `Or`

      interface Cond

  Represents a conditional type. CS2030S Lab 5 AY20/21 Semester 2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `eval()` | Evaluates the given conditional.
    `Cond` | `neg()` | negates the value of the conditional, without evaluating it.

- - ### Method Detail

    - #### eval

          boolean eval()

      Evaluates the given conditional.
      Returns:
        the boolean result of the evaluation

    - #### neg

          Cond neg()

      negates the value of the conditional, without evaluating it.
      Returns:
        a new conditional, with the negated value